package com.eactive.eai.transformer;

import com.eactive.eai.common.util.Logger;
import com.eactive.eai.transformer.engine.TransformEngine;
import com.eactive.eai.transformer.message.Message;
import com.eactive.eai.transformer.message.MessageFactory;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


public class LayoutRef00Test extends TestCase {
	protected static Logger logger = Logger.getLogger("transformer");

	TransformEngine engine = null;
    
    
    public LayoutRef00Test(String name) {
        super(name);
    }

    public static Test suite() {
        /*
        * the dynamic way
        */
        return new TestSuite(LayoutRef00Test.class);
    }

    public void setUp() throws Exception {
        // 
        engine = TransformEngine.getInstance();

        if (!engine.isStarted()) {
            engine.start();
        } 
    }

    public void tearDown() throws Exception {
        //
    }
	public void test1() throws Exception {
		System.out.println("find Item Test ==============================================================");
		byte[] data = "0229IGN0040210301005000C34120060509341500400071296807200509341572000000000E1006541908                    00000100                              0000000                00000000000000000000000000000000000000 00000000 0000            000".getBytes();
		Message source = MessageFactory.getFactory().getMessage("BFE_EEH0200301005_RES1");
		System.out.println(source);
		source.setData(data);
		System.out.println(source);
		

	} 
    
}
